---
lang: en
title: 'API docs: openapi-v3.jsontoschemaobject'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-v3.jsontoschemaobject.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [jsonToSchemaObject](./openapi-v3.jsontoschemaobject.md)

## jsonToSchemaObject() function

Converts JSON Schemas into a SchemaObject

<b>Signature:</b>

```typescript
export declare function jsonToSchemaObject(json: JsonSchema): SchemaObject | SchemaRef;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  json | <code>JsonSchema</code> | JSON Schema to convert from |

<b>Returns:</b>

`SchemaObject | SchemaRef`


